Avisos importantes

Permisos para conexiones manuales de acceso condicional

Con el lanzamiento de Jamf Pro 10.39.0, las integraciones de acceso condicional que usen conexiones manuales requerirán el permiso Application.Read.All para comunicar la conformidad a Microsoft Endpoint Manager. En las conexiones manuales, esto generará una notificación "Unable to connect to Microsoft Intune" (No se ha podido conectar con Microsoft Intune). Si quieres más información sobre cómo actualizar los permisos de Microsoft Endpoint Manager, consulta el artículo Cambios en permisos de Microsoft Endpoint Manager.

Historial de avisos por versión

Desde la versión...Cambio o cuestiónDescripción
10.37.0Scripts con nombres duplicados

Al actualizar a Jamf Pro 10.37.0, los scripts de ordenador con nombres duplicados de tu entorno se renombrarán en la base de datos de Jamf Pro. Los nombres de scripts duplicados se renombrarán siguiendo este formato:

ScriptName _renamed_UUID

10.37.0

Retirada de la compatibilidad con el alojamiento del servidor de Jamf Pro en macOS

Se ha retirado la compatibilidad con el alojamiento del servidor de Jamf Pro en macOS. Si quieres migrar tu servidor de Jamf Pro desde macOS a Jamf Cloud, contacta con Customer Success de Jamf. Si quieres mantener tu servidor de Jamf Pro en local, consulta la sección «Entorno de servidor de Jamf Pro» de «Requisitos del sistema para plataformas compatibles».

10.37.0

Nuevas versiones de MySQL recomendadas

MySQL 8.0.28 es la versión recomendada para Jamf Pro 10.37.0. Si usas MySQL 5, ahora la versión recomendada es MySQL 5.7.37.

10.36.0

Nuevas versiones de MySQL recomendadas

MySQL 8.0.27 es la versión recomendada para Jamf Pro 10.36.0. Si usas MySQL 5, ahora la versión recomendada es MySQL 5.7.36.

10.36.0

Privilegios adicionales requeridos para Jamf Recon y Jamf Remote

Los administradores de Jamf Pro tendrán que conceder los siguientes privilegios a sus usuarios de Jamf Recon y Jamf Remote para que estas aplicaciones funcionen correctamente:
  • Los usuarios de Jamf Recon ahora necesitan los privilegios Read Scripts (Leer scripts), Create Mobile Devices (Crear dispositivos móviles), Create Users (Crear usuarios) y Create Computers (Crear ordenadores).

  • Los usuarios de Jamf Remote ahora necesitan el privilegio Read Scripts (Leer scripts).

10.33.0

Cambio en Memcached requerido para entornos agrupados

Un error en la configuración de Memcached impide que Tomcat se inicie en entornos con clustering al actualizar a Jamf Pro 10.33.0 o posterior. Para iniciar Tomcat y completar la actualización de Jamf Pro, debes acceder a path/to/jss/tomcat/webapps/ROOT/WEB-INF/classes/dal/memcached.properties y añadir memcached.directory.timeToLiveSeconds=86400 al archivo memcached.properties.

10.33.0

Tiempo de arranque incrementado al actualizar

Las filas duplicadas almacenadas en la tabla de la base de datos applications de inventario de ordenador se eliminarán durante el arranque inicial del servidor al actualizar a Jamf Pro 10.33.0. Este arranque prolongado único puede llevar desde unos minutos hasta varias horas, en función del tamaño de la tabla de aplicaciones y del hardware usado en tu entorno. Es importante que no detengas el proceso de arranque. Si tienes preguntas o surge algún problema durante el arranque, ponte en contacto con Soporte de Jamf.

10.30.0

Actualización incremental requerida

Las actualizaciones directas desde Jamf Pro 10.28.x o anterior a Jamf Pro 10.30.0 o posterior pueden fallar. Ahora se requiere una actualización incremental a 10.29.x desde Jamf Pro 10.28.0 o anterior a Jamf Pro 10.30.0 o posterior.

10.30.0

Cambio de nombre de dispositivos Apple TV

Si tu entorno se vio afectado por [PI-008988], los cambios en Jamf Pro 10.30.0 pueden requerir que los dispositivos Apple TV de tu entorno se renombren después de actualizar a 10.30.0 o posterior.

Puedes editar manualmente la información de inventario del dispositivo e imponer el nombre del dispositivo. Si quieres más información, consulta Información de inventario de dispositivo móvil en la Guía del administrador de Jamf Pro.

Opcionalmente, puedes reinscribir dispositivos con Jamf Pro usando una inscripción con PreStage que imponga nombres de dispositivo. Si quieres más información, consulta Inscripciones con PreStage de dispositivos móviles en la Guía del administrador de Jamf Pro.

10.29.0

Actualización incremental requerida

La actualización desde 10.29.x o anterior requiere un cambio de versión incremental a 10.30x antes de actualizar a 10.31.0 o posterior debido a un cambio en la base de datos que puede provocar el fallo de las actualizaciones.

10.29.0

Borrado de comandos InstallApplicationMDM fallidos

Si tu entorno se vio afectado por [PI-009279], debes borrar todos los comandos MDM InstallApplication fallidos que muestren el error INCOMPATIBILITY_REASON_MINIMUM_OS_VERSION. Puedes hacerlo con una acción masiva. Si quieres más información, consulta la sección Comandos remotos para ordenadores en la Guía del administrador de Jamf Pro.